summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormeZee2015-06-28 23:55:49 -0500
committermeZee2015-06-28 23:55:49 -0500
commit0fd742f9e2e51a9d5e4a7e786f863fc9074eb95c (patch)
tree40d856004cbae41ee0dfaa458ece45f2cd683971
downloadaur-0fd742f9e2e51a9d5e4a7e786f863fc9074eb95c.tar.gz
Initial import
-rw-r--r--.SRCINFO28
-rwxr-xr-xPKGBUILD40
-rwxr-xr-xtrigger.desktop10
-rwxr-xr-xtrigger.install3
-rwxr-xr-xtrigger.pngbin0 -> 5537 bytes
5 files changed, 81 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f72c5e74067
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,28 @@
+pkgbase = trigger
+ pkgdesc = Free OpenGL rally car racing game
+ pkgver = 0.6.2
+ pkgrel = 1
+ url = http://sourceforge.net/projects/trigger-rally/
+ install = trigger.install
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = ftjam
+ makedepends = glew
+ makedepends = sdl_mixer
+ depends = sdl_image
+ depends = physfs
+ depends = freeglut
+ depends = freealut
+ depends = trigger-data
+ depends = glu
+ depends = xdg-utils
+ source = http://sourceforge.net/projects/trigger-rally/files/trigger-0.6.2/trigger-rally-0.6.2-src.tar.bz2
+ source = trigger.png
+ source = trigger.desktop
+ sha512sums = 93507131682828735d0de20c8956f83df9a461b30fd5b21c25f4cf81a877c79b7d429d13aa4d2d4d3b3c6a3bdcb1bff51d44188434e04dd36240fd29fe0b13b6
+ sha512sums = 09867405b809e1856d222949dcc81f897eecb87e270cceaca8fd33745ce38bfb52b0a0cb6b12fe90cd844ade92f77b79f803ed8d7c65b59af6f58a89d176f191
+ sha512sums = c60d02949131eb1e8b42acdf55ebf3b8290d24bebe89bb12e54001be0f78146e1ad0ae8955d480f484134174dd16975deaa37e2f3880b2972e9bdd71763bdacb
+
+pkgname = trigger
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..b3359c4a4d5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# Maintainer: William Grieshaber <me@zee.li>
+# Contributor: Joao Cordeiro <jlcordeiro at gmail dot com>
+# Contributor: Joekey joekey1@gmail.com
+pkgname=trigger
+pkgver=0.6.2
+pkgrel=1
+pkgdesc="Free OpenGL rally car racing game"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/trigger-rally/"
+license=('GPL2')
+conflicts=()
+depends=('sdl_image' 'physfs' 'freeglut' 'freealut' 'trigger-data' 'glu' xdg-utils)
+makedepends=('ftjam' 'glew' 'sdl_mixer')
+install=trigger.install
+source=(http://sourceforge.net/projects/trigger-rally/files/$pkgname-$pkgver/$pkgname-rally-$pkgver-src.tar.bz2
+ $pkgname.png
+ $pkgname.desktop)
+sha512sums=('93507131682828735d0de20c8956f83df9a461b30fd5b21c25f4cf81a877c79b7d429d13aa4d2d4d3b3c6a3bdcb1bff51d44188434e04dd36240fd29fe0b13b6'
+ '09867405b809e1856d222949dcc81f897eecb87e270cceaca8fd33745ce38bfb52b0a0cb6b12fe90cd844ade92f77b79f803ed8d7c65b59af6f58a89d176f191'
+ 'c60d02949131eb1e8b42acdf55ebf3b8290d24bebe89bb12e54001be0f78146e1ad0ae8955d480f484134174dd16975deaa37e2f3880b2972e9bdd71763bdacb')
+
+build() {
+
+ cd "$srcdir"/$pkgname-rally-$pkgver-src/
+
+ ./autogen.sh
+ ./configure --prefix=$pkgdir/usr --datadir=/opt/games/trigger/trigger-$pkgver-data
+ jam -qa || return 1
+
+}
+
+package() {
+
+ install -Dm755 $srcdir/trigger-rally-$pkgver-src/trigger $pkgdir/usr/bin/trigger
+
+ install -Dm644 $srcdir/$pkgname.desktop $pkgdir/usr/share/applications/$pkgname.desktop
+ install -Dm644 $srcdir/$pkgname.png $pkgdir/usr/share/pixmaps/$pkgname.png
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/trigger.desktop b/trigger.desktop
new file mode 100755
index 00000000000..09232630a4b
--- /dev/null
+++ b/trigger.desktop
@@ -0,0 +1,10 @@
+#!/usr/bin/env xdg-open
+[Desktop Entry]
+Type=Application
+Version=6.0.1
+Name=Trigger
+Comment=Fast-paced 3D single-player rally racing game
+Exec=trigger
+Icon=trigger
+Terminal=false
+Categories=Game;ActionGame;
diff --git a/trigger.install b/trigger.install
new file mode 100755
index 00000000000..b1f94ec12cb
--- /dev/null
+++ b/trigger.install
@@ -0,0 +1,3 @@
+post_install(){
+ echo "Users wanting to play trigger should be on group games."
+}
diff --git a/trigger.png b/trigger.png
new file mode 100755
index 00000000000..ad255089d1a
--- /dev/null
+++ b/trigger.png
Binary files differ